Permalink
Fetching contributors…
Cannot retrieve contributors at this time
43 lines (27 sloc) 1.31 KB
bioperl-network Installation
REQUIREMENTS
Perl 5.6.1 is required, but 5.8 or greater is recommended.
The bioperl-network package depends on the core BioPerl package. See
the BioPerl INSTALL file (http://bioperl.org/INSTALL.html) for instructions
for downloading and installing BioPerl. You should install at least the
corresponding version of Bioperl: since this is bioperl-network 1.6, bioperl
1.6 or greater is recommended.
bioperl-network also requires Perl's Graph package, https://metacpan.org/pod/Graph
Reading PSI XML files using bioperl-network requires the XML::Twig
module. See https://metacpan.org/pod/XML::Twig.
INSTALLING BIOPERL-NETWORK (UNIX, MAC OS X AND CYGWIN)
Using CPAN:
cpan>install C/CJ/CJFIELDS/BioPerl-network-1.6.0.tar.gz
Manual installation:
>gunzip bioperl-network-<release-version>.tar.gz
>tar xvf bioperl-network-<release-version>.tar
>cd bioperl-network
where <release-version> is the current release.
>perl Build.PL
You can run regression tests and install bioperl-network using the
following commands:
>./Build test
>./Build install
You may have to have root privileges in order to run './Build install'
successfully on Unix. See the BioPerl INSTALL file for alternative approaches
if you don't have root or administrative privileges.